Uploaded image for project: 'Wicket'
  1. Wicket
  2. WICKET-1906

AutocompleteTextField throws javascript error Object Required

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.3.4
    • Fix Version/s: 1.3.6, 1.4-RC2
    • Component/s: wicket-extensions
    • Labels:
      None
    • Environment:
      IE6

      Description

      In wicket-autocomplete.js "function doUpdateChoices(resp)" has the check <BR>
      Line 304: if(element.firstChild && element.firstChild.childNodes) <BR>
      <BR>
      However in function render() we are not having any checks <BR>
      Line 389: var node=menu.firstChild.childNodes[0]; <BR>
      <BR>
      which is causing "Object required" error on Line 389.

        Attachments

        1. screenshot-1.jpg
          13 kB
          Shailesh
        2. wicket-1906.patch
          1 kB
          Peter Ertl

          Activity

            People

            • Assignee:
              ivaynberg Igor Vaynberg
              Reporter:
              shellverma Shailesh
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 24h
                24h
                Remaining:
                Remaining Estimate - 24h
                24h
                Logged:
                Time Spent - Not Specified
                Not Specified